/**
 * XDocumentSubstanceMood.java
 *
 * File generated from the medication::XDocumentSubstanceMood uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XDocumentSubstanceMood.
 *
 * 
 */

@XmlType(name = "XDocumentSubstanceMood")
@XmlEnum
@XmlRootElement(name = "XDocumentSubstanceMood")
public enum XDocumentSubstanceMood {
	@XmlEnumValue("INT")
	INT("INT"),
	@XmlEnumValue("EVN")
	EVN("EVN"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XDocumentSubstanceMood(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XDocumentSubstanceMood fromValue(String v) {
        for (XDocumentSubstanceMood c: XDocumentSubstanceMood.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}